<?php

namespace App\Http\Controllers;
use App\Models\Penyata;


use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PenyataController extends Controller
{
    // Get penyata by id
    public function show($id)
    {
      //  dd($id); 


      $penyata = Penyata::select(
    'saham',
    'yuran',
    'pelaburan_t1 AS pelaburanT1',
    'pelaburan_t2 AS pelaburanT2',
    'pinjaman_aqh AS pinjamanAQH',
    'pinjaman_bba AS pinjamanBBA',
    'pinjaman_bai AS pinjamanBAI',
    'pinjaman_bys AS pinjamanBYS',
    'insurans_cukai AS insuransCukai',   // ← FIXED HERE
    'pinj_pelbagai AS pinjamanPelbagai'

   )
    ->where('id', $id)

    
    ->first();

        //  dd($penyata); 



    return view('penyataView', compact('penyata'));
}
}